Class | Chef::Provider::Service::Simple
In: | lib/chef/provider/service/simple.rb
Parent: | Chef::Provider::Service

### Methods

define_resource_requirements determine_current_status! load_current_resource ps_cmd reload_service restart_service shared_resource_requirements start_service stop_service whyrun_supported?

### Included Modules

Chef::Mixin::ShellOut

### Public Instance methods

define_resource_requirements()
load_current_resource()
reload_service()
restart_service()
shared_resource_requirements()
start_service()
stop_service()
whyrun_supported?()

### Protected Instance methods

determine_current_status!()
ps_cmd()

[Validate]